<!-- insert custom Google fonts -->
<?php 
	if ( function_exists( 'get_option_tree' ) ) {
		if ( is_string( get_option_tree( 'font_header' ) )) {
			$fontheader = get_option_tree( 'font_header' );
			$fontheaderstr = str_replace(' ', '+', $fontheader);
			$fontheadernew = '<link href="http://fonts.googleapis.com/css?family='.$fontheaderstr.':100,200,100italic,200italic,300italic,400italic,600italic,700italic,800italic,400,300,600,700,800&subset=latin,cyrillic-ext,greek-ext,latin-ext,vietnamese" rel="stylesheet" type="text/css">';
			echo $fontheadernew;  } 
		else {
			echo "<link href='http://fonts.googleapis.com/css?family=Open+Sans:300italic,400italic,600italic,700italic,800italic,400,300,600,700,800&subset=latin,cyrillic-ext,greek-ext,latin-ext,vietnamese'' rel='stylesheet' type='text/css'>";
		} 
	} 

	if ( function_exists( 'get_option_tree' ) ) {
		if ( is_string( get_option_tree( 'font_body' ) )) {
			$fontbody = get_option_tree( 'font_body' );
			$fontbodystr = str_replace(' ', '+', $fontbody);
			$fontbodynew = '<link href="http://fonts.googleapis.com/css?family='.$fontbodystr.':100,200,100italic,200italic,300italic,400italic,600italic,700italic,800italic,400,300,600,700,800&subset=latin,cyrillic-ext,greek-ext,latin-ext,vietnamese" rel="stylesheet" type="text/css">';
			echo $fontbodynew;  } 
		else {
			echo "<link href='http://fonts.googleapis.com/css?family=Open+Sans:300italic,400italic,600italic,700italic,800italic,400,300,600,700,800&subset=latin,cyrillic-ext,greek-ext,latin-ext,vietnamese'' rel='stylesheet' type='text/css'>";
		} 
	}
	
	if ( function_exists( 'get_option_tree' ) ) {
		if ( is_string( get_option_tree( 'font_menu' ) )) {
			$fontheader = get_option_tree( 'font_menu' );
			$fontheaderstr = str_replace(' ', '+', $fontheader);
			$fontheadernew = '<link href="http://fonts.googleapis.com/css?family='.$fontheaderstr.':100,200,100italic,200italic,300italic,400italic,600italic,700italic,800italic,400,300,600,700,800&subset=latin,cyrillic-ext,greek-ext,latin-ext,vietnamese" rel="stylesheet" type="text/css">';
			echo $fontheadernew;  } 
		else {
			echo "<link href='http://fonts.googleapis.com/css?family=Open+Sans:300italic,400italic,600italic,700italic,800italic,400,300,600,700,800&subset=latin,cyrillic-ext,greek-ext,latin-ext,vietnamese'' rel='stylesheet' type='text/css'>";
		} 
	} 
?>


<!-- function to convert colours from hex into rgb -->
<?php
function hex2rgb($hex) {
   $hex = str_replace("#", "", $hex);
 
   if(strlen($hex) == 3) {
      $r = hexdec(substr($hex,0,1).substr($hex,0,1));
      $g = hexdec(substr($hex,1,1).substr($hex,1,1));
      $b = hexdec(substr($hex,2,1).substr($hex,2,1));
   } else {
      $r = hexdec(substr($hex,0,2));
      $g = hexdec(substr($hex,2,2));
      $b = hexdec(substr($hex,4,2));
   }
   $rgb = array($r, $g, $b);
   //return implode(",", $rgb); // returns the rgb values separated by commas
   return $rgb; // returns an array with the rgb values
}
?>


<!-- Count the number of active widgets -->
<?php
function count_widgets($loc) {
	$sidebar_widgets = wp_get_sidebars_widgets();
	$num_widgets = 0;
	foreach ( (array) $sidebar_widgets as $k => $v ) {
		if ($loc != $k)
			continue;
		if ( is_array($v))
			$num_widgets = $num_widgets + count($v);
	}
	return $num_widgets;
}
$count2 = count_widgets('sidebar-2');
if($count2 != 0) { $percentage2 = (100/$count2) - 5; }
$count3 = count_widgets('sidebar-3');
if($count3 >1) { $percentage3 = (100/$count3) - 5; } elseif($count3=1) { $percentage3 = 100; }
$count4 = count_widgets('sidebar-4');
if($count4 >1) { $percentage4 = (100/$count4) - 5; } elseif($count4=1) { $percentage4 = 100; }
?>


<!--[if IE 7]>
<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/ie8.css">
<style type="text/css"> #footer-widget-area .widget-footer { width: <?php if(isset($percentage2)) { echo $percentage2."%;"; } ?> } </style>
<![endif]-->


<!--[if IE 8]>
<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/ie8.css">
<style type="text/css"> #footer-widget-area .widget-footer { width: <?php if(isset($percentage2)) { echo $percentage2."%;"; } ?> } </style>
<![endif]-->


<!-- Google Analytics code -->
<script>
  (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
  (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
  m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
  })(window,document,'script','//www.google-analytics.com/analytics.js','ga');

  ga('create', '<?php if ( function_exists( 'get_option_tree' ) )  { echo get_option_tree( 'google_analytics' ); } ?>', 'auto');
  ga('send', 'pageview');

</script>


<!-- Resize image background -->
<?php if (function_exists( 'get_option_tree' ) &&  get_option_tree('background' ) == "Stretched image") { ?>
<script type="text/javascript">
resizeBG = function() {
    var image = $('#page-background img');
    image.removeAttr("width"); 
    image.removeAttr("height");
    var imageWidth = image.attr('width') || image.width();
    var imageHeight = image.attr('height') || image.height();
    var ratio = imageHeight / imageWidth;
    
    var h = $(window).height();
    var w = $(window).width();
    
    $('#page-background img, #page-background').css('width', w);
    $('#page-background img, #page-background').css('height', w * ratio);
	$('#page-background').css('visibility', 'visible');
}

$(window).load( resizeBG );
$(window).resize( resizeBG );
</script>
<?php } ?>


<!-- Scroll to top button -->
<script type='text/javascript'> 
var totop = <?php echo '"'.__('Scroll Back to Top', 'satori').'"'; ?>;
var scrolltotop={
	//startline: Integer. Number of pixels from top of doc scrollbar is scrolled before showing control
	//scrollto: Keyword (Integer, or "Scroll_to_Element_ID"). How far to scroll document up when control is clicked on (0=top).
	setting: {startline:100, scrollto: 0, scrollduration:1000, fadeduration:[500, 100]},
	controlHTML: '<div class="scrolltop"></div>', //HTML for control, which is auto wrapped in DIV w/ ID="topcontrol"
	controlattrs: {offsetx:63, offsety:10}, //offset of control relative to right/ bottom of window corner
	anchorkeyword: '#top', //Enter href value of HTML anchors on the page that should also act as "Scroll Up" links

	state: {isvisible:false, shouldvisible:false},

	scrollup:function(){
		if (!this.cssfixedsupport) //if control is positioned using JavaScript
			this.$control.css({opacity:0}) //hide control immediately after clicking it
		var dest=isNaN(this.setting.scrollto)? this.setting.scrollto : parseInt(this.setting.scrollto)
		if (typeof dest=="string" && jQuery('#'+dest).length==1) //check element set by string exists
			dest=jQuery('#'+dest).offset().top
		else
			dest=0
		this.$body.animate({scrollTop: dest}, this.setting.scrollduration);
	},

	keepfixed:function(){
		var $window=jQuery(window)
		var controlx=$window.scrollLeft() + $window.width() - this.$control.width() - this.controlattrs.offsetx
		var controly=$window.scrollTop() + $window.height() - this.$control.height() - this.controlattrs.offsety
		this.$control.css({left:controlx+'px', top:controly+'px'})
	},

	togglecontrol:function(){
		var scrolltop=jQuery(window).scrollTop()
		if (!this.cssfixedsupport)
			this.keepfixed()
		this.state.shouldvisible=(scrolltop>=this.setting.startline)? true : false
		if (this.state.shouldvisible && !this.state.isvisible){
			this.$control.stop().animate({opacity:1}, this.setting.fadeduration[0])
			this.state.isvisible=true
		}
		else if (this.state.shouldvisible==false && this.state.isvisible){
			this.$control.stop().animate({opacity:0}, this.setting.fadeduration[1])
			this.state.isvisible=false
		}
	},
	
	init:function(){
		jQuery(document).ready(function($){
			var mainobj=scrolltotop
			var iebrws=document.all
			mainobj.cssfixedsupport=!iebrws || iebrws && document.compatMode=="CSS1Compat" && window.XMLHttpRequest //not IE or IE7+ browsers in standards mode
			mainobj.$body=(window.opera)? (document.compatMode=="CSS1Compat"? $('html') : $('body')) : $('html,body')
			mainobj.$control=$('<div id="topcontrol" style="z-index:100">'+mainobj.controlHTML+'</div>')
				.css({position:mainobj.cssfixedsupport? 'fixed' : 'absolute', bottom:mainobj.controlattrs.offsety, right:mainobj.controlattrs.offsetx, opacity:0, cursor:'pointer'})
				.attr({title:totop})
				.click(function(){mainobj.scrollup(); return false})
				.appendTo('body')
			if (document.all && !window.XMLHttpRequest && mainobj.$control.text()!='') //loose check for IE6 and below, plus whether control contains any text
				mainobj.$control.css({width:mainobj.$control.width()}) //IE6- seems to require an explicit width on a DIV containing text
			mainobj.togglecontrol()
			$('a[href="' + mainobj.anchorkeyword +'"]').click(function(){
				mainobj.scrollup()
				return false
			})
			$(window).bind('scroll resize', function(e){
				mainobj.togglecontrol()
			})
		})
	}
}

scrolltotop.init()
</script>


<!-- Icon menu -->
<?php global $option_tree;
$icon_menu = '<div id="icons-menu">';
$icons = get_option_tree( 'icons', $option_tree, false, true, -1 );
$iconcount = 1;
$icontextcount = 1;
$mobileiconcount = 1;
if(is_array($icons)) {  
	foreach( $icons as $icon ) {
		$iconlink = null;
		$iconfilter = null;
		$iconfilteraction = null;
		if ( $icon['filter'] != '' ) {
			if ( is_page_template('page_portfolio.php') || is_page_template('page_portfolio_filtered.php') ) {
				if ( $icon['filter'] == '*' ) {
					$iconfilter = 'data-filter="*"';
				} else {
					$iconfilter = 'data-filter=".'.strtolower($icon['filter']).'"';
				}
				$iconlink = '#';
				$iconfilteraction = 'class="filterablea"';
			} else {
				$iconfilter = '';
				if ( $icon['link'] != '' ) {
					$iconlink = $icon['link'];
				} else {
					$iconlink = get_home_url().'/tag-portfolio/'.strtolower($icon['filter']);
				}
			}
		} else {
			if ( $icon['link'] != '' ) {
				$iconlink = $icon['link'];
			} else {
				$iconlink = '#';
			}
		}
		$icon_menu .= '<div class="icons-item-wrap"><a '.$iconfilteraction.' href="'.$iconlink.'" '.$iconfilter.'><div class="icons-item" id="icons-item-'.$iconcount.'"><img src="'.$icon['image'].'" class="image-stick-preload" alt="icon menu"></div></a><div class="icons-text" id="icons-text-'.$iconcount.'">'.__($icon['title'],'satori').'</div></div>';
		if ( $icon['hoverimage'] ) {
			$iconhover = $icon['hoverimage'];
		} else {
			$iconhover = $icon['image'];	
		}
		$icon_menu .= '<style type="text/css"> #icons-item-'.$iconcount.' { background-image: url("'.$icon['image'].'"); } #icons-item-'.$iconcount.':hover, .selected #icons-item-'.$iconcount.' { background-image: url("'.$iconhover.'"); } </style> ';
		$iconcount++;
	}
}
$icon_menu .= '</div>';
if(is_array($icons)) { 
	$mobileicons = '';
	foreach( $icons as $icon ) {
		$iconlink = null;
		$iconfilter = null;
		if ( $icon['filter'] != '' ) {
			if ( is_page_template('page_portfolio.php') || is_page_template('page_portfolio_filtered.php') ) {
				$iconfilter = 'data-filter=".'.strtolower($icon['filter']).'"';
				$iconlink = '#';
				$iconfilteraction = 'class="filterablea"';
			} else {
				$iconfilter = '';
				if ( $icon['link'] != '' ) {
					$iconlink = $icon['link'];
				} else {
					$iconlink = get_home_url().'/tag-portfolio/'.strtolower($icon['filter']);
				}
			}
		} else {
			if ( $icon['link'] != '' ) {
				$iconlink = $icon['link'];
			} else {
				$iconlink = '#';
			}
		}
		$mobileicons .= '<a '.$iconfilteraction.' href="'.$iconlink.'" '.$iconfilter.'><div class="mobile-icons-title" id="mobile-icons-'.$mobileiconcount.'"><div class="mobile-icons-title-inner"><img src="'.$icon['image'].'" alt="mobile icon menu"><div class="mobile-icons-title-text">'.$icon['title'].'</div></div></div></a>';	
	$mobileiconcount++;
	}
} else {
	$mobileicons = null;
}
?>
<script type="text/javascript">
var $icons = jQuery.noConflict();
var Icons = function() {
	if ( $icons(window).width() > 1024 ) {
		$icons('.icons-item').hover(function() {
			var currid = $icons(this)[0].id;
			var curridlast = currid.substr(- 1);
			$icons('div[id$=icons-text-'+curridlast+']').fadeIn(80);
		}, function () {
			var currid = $icons(this)[0].id;
			var curridlast = currid.substr(- 1);
			$icons('div[id$=icons-text-'+curridlast+']').fadeOut(180);
		});
	} 
	if ( $icons(window).width() < 1025 ) {
		$icons('.icons-item').click(function() {
			var currentid = $icons(this)[0].id;
			var currentidlast = currentid.substr(- 1);
			$icons('div[id$=icons-text-'+currentidlast+']').fadeIn(2);
			setTimeout(function(){
  				$icons('div[id$=icons-text-'+currentidlast+']').fadeOut("slow");
 			}, 1500);
		});
	}
}
$icons(document).ready(function() {
	Icons();
});
$icons(document).resize(function() {
	Icons();
});
$icons(window).load(function() {
	var iconmenu = ( $icons('#icons-menu #icons-item-1').height() - $icons('#icons-text-1').height() ) / 2;
	$icons('.icons-text').css('margin-top',iconmenu+'px');
});
</script>


<!-- Filter menu -->
 <?php 
if ( function_exists('get_option_tree') ) {
	$filter_tax = 'tagportfolio';
	if ( is_string(get_option_tree('exclude_tax')) ) {
		$filter_excl = get_option_tree('exclude_tax');
	} else {
		$filter_excl = '';
	}
}
$iconfilterable = null;
if ( is_page_template('page_portfolio.php') || is_page_template('page_portfolio_filtered.php') ) {
	$iconfilterable = 'class="filterablea"';
}
$args = array(
	'type' => 'post',
	'orderby' => 'name',
	'order' => 'ASC',
	'exclude' => $filter_excl,
	'include' => '',
	'number' => '',
	'taxonomy' => $filter_tax 
);
$filters = get_categories( $args );
$all = __('All','satori');
$filterhtml = '<ul id="filters">';
if ( is_page_template('page_portfolio.php') || is_page_template('page_portfolio_filtered.php') ) {
	$filterhtml .= '<li class="menu-filter"><a '.$iconfilterable.' href="#" data-filter="*">'.$all.'</a></li>';
}
foreach($filters as $filter) {
	if ( is_page_template('page_portfolio.php') || is_page_template('page_portfolio_filtered.php') ) {
		$iconfilter = 'data-filter=".'.strtolower($filter->name).'"';
		$iconlink = '#';
	} else {
		$iconfilter = '';
		$iconlink = get_home_url().'/tag-portfolio/'.strtolower($filter->name);
	}
	$filterhtml .= '<li class="menu-filter"><a '.$iconfilterable.' href="'.$iconlink.'" '.$iconfilter.'">'.ucfirst($filter->name).'</a></li>'; 
}
$filterhtml .= '</ul>';
$filterhtml .= '<div id="filter-mobile">';
foreach($filters as $filter) {
	if ( is_page_template('page_portfolio.php') || is_page_template('page_portfolio_filtered.php') ) {
		$iconfilter = 'data-filter=".'.strtolower($filter->name).'"';
		$iconlink = '#';
	} else {
		$iconfilter = '';
		$iconlink = get_home_url().'/tag-portfolio/'.strtolower($filter->name);
	}
	$filterhtml .= '<a '.$iconfilterable.' href="'.$iconlink.'" '.$iconfilter.'"><div class="menu-filter-mobile">'.ucfirst($filter->name).'</div></a>'; 
}
$filterhtml .= '</div>';
?>


<!-- Preload images -->
<script type="text/javascript">
var $pr = jQuery.noConflict();
$pr.fn.preload = function() {
    this.each(function(){
        $pr('<img/>')[0].src = this;
    });
}
$pr(document).ready(function() {
	$pr([
	<?php $prel = "";
	if(is_array($icons)) {  
		foreach( $icons as $icon ) {
			$prel .= "'".$icon['hoverimage']."', ";
		}
	} 
	$preload = rtrim($prel, ", ");
	echo $preload; ?>
]).preload();
});
</script>


<!-- Search box -->
<script type="text/javascript">
var $searchbx = jQuery.noConflict();
$searchbx(function() { 
	var searchbox = "<?php echo __('Find..', 'satori'); ?>";
    $searchbx('#s').focus(function() {
    	$searchbx('#s').attr("value","");
	});
	$searchbx('#s').blur(function() {
		if ($searchbx('#s').attr("value")==null || $searchbx('#s').attr("value")=="") {
        	$searchbx('#s').attr("value",searchbox);
		}
	});
});
</script>


<!-- Submenu animation -->
<script type="text/javascript">
var $submenu = jQuery.noConflict();
$submenu(function(){	
	$submenu('nav ul li').hover(function () {
		$submenu('> ul', this).show(10);
	}, function () {
		$submenu('ul', this).hide(10);
	});
});
</script>


<!-- Divider width -->
<?php if ( is_page_template('page_full-width.php') || is_page_template('page_portfolio.php') || is_page_template('page_portfolio_filtered.php')) { ?>
<script type="text/javascript">
var $divider = jQuery.noConflict();
var Divider = function() {
	var pagewidth = $divider('#main-container').width();
	var leftmargins = (pagewidth - $divider('.post-content').width())/2;
	var leftmargin = 0-leftmargins;
	$divider('.su-divider').css({"width":pagewidth,"position":"absolute","margin-left":leftmargin});
}
$divider(document).ready( function () {
	Divider();
});
$divider(window).resize( function () {
	Divider();	
});
</script>
<?php } ?>


<!-- Responsive videos -->
<script type="text/javascript">
var $fv = jQuery.noConflict();
  $fv(document).ready(function(){
    $fv(".video-container").fitVids();
  });
</script>
<?php function video_grabber() {
	if ( ! preg_match( '/<a\s[^>]*?href=[\'"](.+?)[\'"]/is', get_the_content(), $matches ) )
	return get_the_content();
	return esc_url_raw( $matches[1] );
} 
function getvideo( $media_url, $width, $height ) {
	$video_url = parse_url( $media_url );
	// Youtube video
	if ( $video_url['host'] == 'youtube.com' || $video_url['host'] == 'www.youtube.com' ) {
		parse_str( $video_url['query'], $youtube );
		$id = uniqid( '', false );
		$return = '<iframe width="' . $width . '" height="' . $height . '" src="http://www.youtube.com/embed/' . $youtube['v'] . '?version=3&controls=0&theme=light&rel=0&showinfo=0"  allowfullscreen="true"></iframe>
		';
		$thumb = $youtube['v'];
	}
	// Vimeo video
	elseif ( $video_url['host'] == 'vimeo.com' || $video_url['host'] == 'www.vimeo.com' ) {
		$vimeo_id = mb_substr( $video_url['path'], 1 );
		$return = '<iframe src="http://player.vimeo.com/video/' . $vimeo_id . '?title=0&amp;byline=0&amp;portrait=0&amp;color=ffffff" width="' . $width . '" height="' . $height . '" ></iframe>';
		$thumb = $vimeo_id;
	}
	if( is_single() || is_home() || is_category() || is_search() || is_date() || is_tag() || is_author() ) {
	return $return;
	} else {
	return $thumb;
	}
} ?> 


<!-- Video screenshots from Vimeo -->
<script type="text/javascript">
var $vth = jQuery.noConflict();
function vimeoLoadingThumb(id) {    
    var url = "http://vimeo.com/api/v2/video/" + id + ".json?callback=showThumb";
    var id_img = "#vimeo-" + id;
    var vimscript = document.createElement( 'script' );
    vimscript.type = 'text/javascript';
    vimscript.src = url;

    $vth(id_img).before(vimscript);
}
function showThumb(data){
    var id_img = "#vimeo-" + data[0].id;
    $vth(id_img).css('background-image','url("'+data[0].thumbnail_large+'")');
}
function infscrollVimeo() {
	$vth('.vimeo-nothumb').each(function() {
		var thisid = $vth(this).attr('data-id');
		vimeoLoadingThumb(thisid);
	});
}
</script>


<!-- Gallery post format --> 
<script type="text/javascript">   
var $j = jQuery.noConflict();
$j(function(){ 
	$j(window).load(function() {         
		$j(".orbit-featured").orbit({
			bullets: false,
			pauseOnHover: true,
			animation: "fade",
			directionalNav: true,
			advanceSpeed: 4000,
			timer: false,
			captions: false
		});
	});
});
</script>


<!-- Orbit slider height on browser resize -->
<?php 
if ( function_exists( 'get_option_tree' ) && is_string ( get_option_tree( 'boxdim' ) ) ) { 
	$boxdim = get_option_tree( 'boxdim' ); 
} else { 
	$boxdim = 260; 
}
if ( function_exists( 'get_option_tree' ) && is_string ( get_option_tree( 'boxmar' ) ) ) { 
	$boxmarg = get_option_tree( 'boxmar' ); 
} else { 
	$boxmarg = 16; 
}
$boxwidth = $boxdim; 
$boxwidthlarge = $boxdim*2 + $boxmarg;
?>
<script type="text/javascript">
var $orb = jQuery.noConflict();
$orb(document).ready(function () {
	$orb('#orbit-slider .orbit-featured').wrap('<div class="orbit-wrapper"></div>');
});
var OrbitSize = function () {
	var min_height = 90000;
    var image = null;
	$orb('#orbit-slider .container_orbit .orbit-wrapper').css('width','100%');
	$orb('#orbit-slider .container_orbit .orbit-featured').css('width','100%');
    $orb('#orbit-slider .container_orbit .orbit-featured img').each(function() {
    	var cur_height = $orb(this).height();
    	if (cur_height < min_height) {
        	min_height = cur_height;
    	}
    });
	<?php if ( !is_page_template ( 'page_portfolio.php' ) && !is_tax('tagportfolio') ) { ?>
	$orb('#orbit-slider .container_orbit .orbit-wrapper').css('height',min_height+'px');
	$orb('#orbit-slider .container_orbit .orbit-featured').css('height',min_height+'px');
	<?php } ?>
}
$orb(window).load(function () {
	OrbitSize();
});
$orb(window).resize(function () {
	OrbitSize();
});
</script>


<!-- Project box overlays with excerpts -->
<?php if ( function_exists('get_option_tree') ) { if ( get_option_tree('disable_captions') == 'Show on mouse hover' ||  get_option_tree('disable_captions') == '' ) { ?>
<script type="text/javascript">
var $over = jQuery.noConflict();
overlayToggle = function() {
	if ( $over(window).width() > 1024 ) {	
		$over(document).on(
			'mouseover', '.format-image,.format-standard,.format-video,.format-link' ,
			function () {
				$over('.image-post-overlay', this).fadeIn(70);
			}
		);
		$over(document).on(
			'mouseout', '.format-image,.format-standard,.format-video,.format-link' ,
			function () {
				$over('.image-post-overlay', this).fadeOut(70);
			}
		);
	} else {
		$over('.image-post-overlay').css('display','block');
	}
}
$over(document).ready(function() {
	overlayToggle();
});
$over(window).resize(function() {
	overlayToggle();
});
</script>
<?php } } ?>


<!-- Comment placeholders -->
<script type="text/javascript">
var $plc = jQuery.noConflict();
$plc(window).load(function() {
	$plc('#respond input#author').attr('placeholder','Name');
	$plc('#respond input#email').attr('placeholder','Email');
	$plc('#respond input#url').attr('placeholder','Website');
	$plc('#respond textarea#comment').attr('placeholder','Comment');
});
</script>


<!-- Retrieve URLs from post content -->
<?php function urlgrabber() {
	if ( ! preg_match( '/<a\s[^>]*?href=[\'"](.+?)[\'"]/is', get_the_content(), $matches ) )
	return get_the_content();
	return esc_url_raw( $matches[1] );
} ?>


<!-- Truncate text on portfolio and blog pages -->
<script type="text/javascript">
var $tru = jQuery.noConflict();
$tru(function(){
	$tru.fn.truncate = function (options) {
		var defaults = {
			more: '...'
		};
		var options = $tru.extend(defaults, options);
		return this.each(function (num) {
			var height = parseInt($tru(this).css("height"));
			var content = $tru(this).html();
			while (this.scrollHeight > height) {
				content = content.replace(/\s+\S*$/, "");
				$tru(this).html(content + " " + options.more);
			}
		})
	}
	$tru(document).ready(function() {
		$tru(".iso-masonry .post").truncate();
	});
});
</script>


<!-- Isotope Masonry Magic -->
<?php 
if ( is_page_template ('page_portfolio.php') || is_tax('tagportfolio' ) || is_page_template('page_portfolio_filtered.php') ) { 
$logofilter = '';
if ( function_exists( 'get_option_tree' ) ) {
	if ( get_option_tree('menu_type') == 'Icon menu (set up below)' || get_option_tree('menu_type') == 'Filter text menu (set up below)' ) { 
		if ( is_page_template('page_portfolio.php') || is_page_template('page_portfolio_filtered.php') ) {
			if ( function_exists( 'get_option_tree' ) ) { 
				if (get_option_tree( 'logo_filter' ) == "Yes") {
					$logofilter = ',#logo a';
				}
			}
		}
	}
} 
if ( function_exists( 'get_option_tree' ) && is_string( get_option_tree( 'boxdim' ) ) )  { 
	if ( is_string( get_option_tree( 'boxmar' ) ) ) {
		$colwidth = get_option_tree( 'boxdim' ) + get_option_tree( 'boxmar' ); 
	} else {
		$colwidth = get_option_tree( 'boxdim' ) + 16;
	}
} else { 
	if ( is_string( get_option_tree( 'boxmar' ) ) ) {
		$colwidth = 260 + get_option_tree( 'boxmar' ); 
	} else {
		$colwidth = 276;
	}
}
?>
<script type="text/javascript">
var $mason = jQuery.noConflict();
$mason(document).ready(function(){
	var $container = $mason('#content');  
	$container.isotope({
    	itemSelector: '.post',
		layoutMode: "perfectMasonry",
		perfectMasonry: {
			columnWidth: <?php echo $colwidth; ?>,
			rowHeight: <?php echo $colwidth; ?>
		}
    }); 
	$mason('#filters a.filterablea,#filter-mobile a.filterablea,#icons-mobile a.filterablea,#icons-menu a.filterablea<?php echo $logofilter; ?>').click(function(){
  		var selector = $mason(this).attr('data-filter');
  		$container.isotope({ filter: selector });
  		return false;
	});
	$mason('.filterablea,#logo a,.menu-filter a').click(function() {
		var $this = $mason(this);
        if ( $this.hasClass('selected') ) {
          return false;
        }
        var $optionSet = $mason('#icons-menu,#filters');
        $optionSet.find('.selected').removeClass('selected');
        $this.addClass('selected');
	});
});
$mason(window).load(function(){
	var $container = $mason('#content');
	$container.isotope('reLayout');
});
$mason(window).resize(function(){
	var $container = $mason('#content');
	$container.isotope('reLayout');
});
</script>
<?php } ?>


<!-- Infinite scroll -->
<?php if ( function_exists( 'get_option_tree' ) && get_option_tree( 'infinite_scroll' ) == 'Yes' ) { 
if ( is_page_template ('page_portfolio.php') || is_tax('tagportfolio') ) { ?>
<script type="text/javascript">
var $inf = jQuery.noConflict();
$inf(function(){
	var $cont = $inf('#content');
	$cont.isotope({
		itemSelector : '.post'
  	});
	$cont.infinitescroll(
		{
			navSelector  : '#page_nav',    // selector for the paged navigation 
			nextSelector : '#page_nav a',  // selector for the NEXT link (to page 2)
			itemSelector : '.post',     // selector for all items you'll retrieve
			loading: {
				finishedMsg: '',
				msgText: '',
				img: ''
			}
		},
		function( newElements ) {
			$cont.isotope( 'insert', $mason( newElements ),
			function() {
                var fb_timeout = null;
                var fb_opts = { };
                var fb_IMG_select = 'a[href$=".jpg"]:not(.nofancybox),a[href$=".JPG"]:not(.nofancybox),a[href$=".gif"]:not(.nofancybox),a[href$=".GIF"]:not(.nofancybox),a[href$=".png"]:not(.nofancybox),a[href$=".PNG"]:not(.nofancybox)';
                $inf(fb_IMG_select).addClass('fancybox').attr('rel', 'gallery');
                $inf('a.fancybox, area.fancybox').fancybox( $inf.extend({}, fb_opts, { }) );
                $inf('#fancybox-auto').trigger('click');
				$inf(".orbit-featured").orbit({
					bullets: false,
					pauseOnHover: true,
					animation: "fade",
					directionalNav: true,
					advanceSpeed: 4000,
					timer: false,
					captions: false
				});
				OrbitSize();
				infscrollVimeo();
			}
			); 
		}
	);
});
</script>
<?php } } ?>


<!-- Set correct content width -->
<?php 
$boxmargin = null; 
if ( function_exists ( 'get_option_tree' ) && is_string ( get_option_tree('boxmar') ) ) { 
	$boxmargin = get_option_tree('boxmar'); 
} else { 
	$boxmargin = 16; 
}
$minmargin = 90;
echo '<style type="text/css">';
for ( $j = 30; $j > 0; $j-- ) {
	$minwidth = $j * ( $boxwidth + $boxmargin ) + 2 * $minmargin;
	$maxwidth = ($j + 1) * ( $boxwidth + $boxmargin ) + 2 * $minmargin;
	if ( $maxwidth < 768 ) {
		$k = $minwidth;
		$l = $maxwidth;
		break;	
	}
	$portfoliowidth = $j * ( $boxwidth + $boxmargin );
	$othercontentwidth = $j * ( $boxwidth + $boxmargin ) - $boxmargin;
	if ( is_page_template ('page_portfolio.php') || is_tax('tagportfolio') || is_page_template('page_portfolio_filtered.php') ) {
		echo '@media only screen and (max-width: '.$maxwidth.'px) and (min-width: '.$minwidth.'px) { #main-body, #footer { width: '.$portfoliowidth.'px; } #header-box, #container-mobile-icons { width: '.$othercontentwidth.'px; } } ';
	} else {
		echo '@media only screen and (max-width: '.$maxwidth.'px) and (min-width: '.$minwidth.'px) { #main-body, #footer, #header-box, #container-mobile-icons { width: '.$othercontentwidth.'px; } } ';
	}
}
for ( $i = 1; $i < 30; $i++ ) {
	$minwidth = $i * ( $boxwidth + $boxmargin ) + 2 * $boxmargin;
	$maxwidth = ($i + 1) * ( $boxwidth + $boxmargin ) + 2 * $boxmargin;
	if ( $maxwidth > 767 ) {
		if ( is_page_template ('page_portfolio.php') || is_tax('tagportfolio') || is_page_template('page_portfolio_filtered.php') ) {
			echo '@media only screen and (max-width: '.$l.'px) and (min-width: '.$minwidth.'px) { #main-body, #footer { width: '.$portfoliowidth.'px; } #header-box, #container-mobile-icons { width: '.$othercontentwidth.'px; } } ';
		} else {
			echo '@media only screen and (max-width: '.$l.'px) and (min-width: '.$minwidth.'px) { #main-body, #footer, #header-box, #container-mobile-icons { width: '.$othercontentwidth.'px; } }';
		}
		break;
	}
	$portfoliowidth = $i * ( $boxwidth + $boxmargin );
	$othercontentwidth = $i * ( $boxwidth + $boxmargin ) - $boxmargin;
	if ( is_page_template ('page_portfolio.php') || is_tax('tagportfolio') || is_page_template('page_portfolio_filtered.php') ) {
		echo '@media only screen and (max-width: '.$maxwidth.'px) and (min-width: '.$minwidth.'px) { #main-body, #footer { width: '.$portfoliowidth.'px; } #header-box, #container-mobile-icons { width: '.$othercontentwidth.'px; } } ';
	} else {
		echo '@media only screen and (max-width: '.$maxwidth.'px) and (min-width: '.$minwidth.'px) { #main-body, #footer, #header-box, #container-mobile-icons { width: '.$othercontentwidth.'px; } } ';
	}
}
$maxmobile = ( $boxwidth + $boxmargin + $minmargin ) * 2;
echo '@media only screen and (max-width: '.$maxmobile.'px) { #main-body, #footer, #header-box, #container-mobile-icons { width: 90% !important; } .iso-masonry .post { width: 100% !important; margin: 4px 0 !important; max-width: none !important; } #header-box #searchform { float: left !important; margin-left: 0 !important; } #main-body .post-wrapper, #main-body  #comments { padding: 20px; } } ';
echo '</style>';
?>
<script type="text/javascript">
var $lbr = jQuery.noConflict();
function resizeLargeTiles() {
	var contwidth = $lbr('#portfolio-list').width();
	$lbr('#portfolio-list .post').each(function() {
		if ( $lbr(this).attr('data-post-size') ) {
			var postwidthnum = $lbr(this).attr('data-post-size').substr(0,1);
		}
		var postwidth = postwidthnum * <?php echo $boxdim; ?> + ( postwidthnum - 1 ) * <?php echo $boxmarg; ?>; 
		if ( postwidth > contwidth ) {
			var maxwidth = contwidth - <?php echo $boxmarg; ?>;
			$lbr(this).css('max-width',maxwidth);
			var $isocontainer = $lbr('#content');
			$isocontainer.isotope('reLayout');
		} else {
			$lbr(this).css('max-width','inherit');
			var $isocontainer = $lbr('#content');
			$isocontainer.isotope('reLayout');
		}
	});
}
$lbr(document).ready(function() {
	resizeLargeTiles();
});
$lbr(window).resize(function() {
	resizeLargeTiles();
});
</script>


<!-- Comment field width -->
<?php if ( is_singular() && get_post_meta(get_the_ID(), 'satori_post-layout', true) != 'Full Width' ) { ?>
<script type="text/javascript">
var $inp = jQuery.noConflict();
var InputSize = function() {
	var contw = $inp('#content').width()-100;
	$inp('#content #respond input#author').css('width',contw);
	$inp('#content #respond input#email').css('width',contw);
	$inp('#content #respond input#url').css('width',contw);
	$inp('#content #respond textarea').css('width',contw);
}
$inp(document).ready(function(){
	InputSize();
});
$inp(window).resize(function(){
	InputSize();
});
</script>
<?php } ?>


<!-- Add classes to local and external links -->
<script type="text/javascript">
var $lnk = jQuery.noConflict();
var hostname = new RegExp(location.host);
$lnk(document).ready(function(){
	$lnk('.format-link a').each(function(){
		var url = $lnk(this).attr("href");
		// Test if current host (domain) is in it
		if(hostname.test(url)){
			// If it's local...
			$lnk(this).addClass('local');
			$lnk(this).attr('target','_self');
		}
		else if(url.slice(0, 1) == "#"){
			// It's an anchor link
			$lnk(this).addClass('anchor'); 
		}
		else {
			// a link that does not contain the current host
			$lnk(this).addClass('external');
			$lnk(this).attr('target','_blank');                        
		}
	});
});
</script>


<!-- Sticky posts icon -->
<script type="text/javascript">
var $sticky = jQuery.noConflict();
$sticky(document).ready(function(){
	$sticky('.blog .sticky h2').prepend('<i class="icon-pushpin"></i>');
});
</script>


<!-- Remove Isotope animations when printing in webkit browsers -->
<script type="text/javascript">
var $riso = jQuery.noConflict();
$riso(function(){
	var beforePrint = function() {
		$riso('.page-portfolio #main-body #content').addClass('full-width-iso');
	};
	var afterPrint = function() {
		$riso('.page-portfolio #main-body #content').removeClass('full-width-iso');
	};
	if ( window.matchMedia ) {
		var mediaQueryList = window.matchMedia('print');
		mediaQueryList.addListener(function(mql) {
			if (mql.matches) {
				beforePrint();
			} else {
				afterPrint();
			}
		});
	}
});
</script>